Package org.apache.lucene.codecs.lucene90

## Class Lucene90PointsReader

- java.lang.Object
- - org.apache.lucene.codecs.PointsReader
  - - org.apache.lucene.codecs.lucene90.Lucene90PointsReader

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`

      public class Lucene90PointsReader
      extends PointsReader

  Reads point values previously written with `Lucene90PointsWriter`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Lucene90PointsReader​(SegmentReadState readState)` | Sole constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `checkIntegrity()` | Checks consistency of this reader.
    `void` | `close()` |
    `PointValues` | `getValues​(String fieldName)` | Returns the underlying `BKDReader`.

    - ### Methods inherited from class org.apache.lucene.codecs.PointsReader

      `getMergeInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Lucene90PointsReader

          public Lucene90PointsReader​(SegmentReadState readState)
                               throws IOException

      Sole constructor
      Throws:
        `IOException`

  - ### Method Detail

    - #### getValues

          public PointValues getValues​(String fieldName)

      Returns the underlying `BKDReader`.
      Specified by:
        `getValues` in class `PointsReader`
      NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

    - #### checkIntegrity

          public void checkIntegrity()
                              throws IOException

      Description copied from class: `PointsReader`
      Checks consistency of this reader.

      Note that this may be costly in terms of I/O, e.g. may involve computing a checksum value against large data files.

      Specified by:
        `checkIntegrity` in class `PointsReader`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Throws:
        `IOException`